﻿/* Set padding to keep content from hitting the edges */
@-ms-viewport {
  width: auto !important;
}

.body-content {
  padding-left: 15px;
  padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
  white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
  max-width: 500px;
}

.input-group {
  max-width: 500px;
}

.form-actions {
  margin-bottom: 10px;
}

.form-group-sm textarea.form-control {
    height: 150px;
}

/* Header styles
-------------------------------------------------- */
.navbar {
  margin-bottom: 1px;
  border-radius: 0;
}

.navbar-logo {
  display: block;
  margin: 5px;
  float: left;
  width: 50px;
}

.navbar-brand {
  padding: 18px 15px;
  color: #fff !important;
  margin: 0;
}

.navbar-text {
  padding: 35px 15px 5px;
  color: #fff !important;
  margin: 0;
  font-size: 12px;
  font-style: italic;
}

.navbar-toggle {
  margin-top: 14px;
}

@media (max-width: 767px) {
  .navbar-logo {
    margin: 5px 10px 5px 5px;
  }

  .search-preferences {
    display: none;
  }

  .navbar-brand {
    display: block;
    float: none;
    padding: 10px 0 0;
  }

  .navbar-text {
    display: block;
    float: none;
    padding: 0;
  }

  .navbar-header {
    float: right;
    width: 60px;
  }
}

@media (min-width: 768px) and (max-width: 1060px) {
  .navbar-brand {
    display: block;
    padding: 10px 20px 0;
  }

  .navbar-text {
    display: block;
    padding: 6px 20px 0;
  }
}

/* Menu styles
-------------------------------------------------- */
@media (min-width: 768px) {
  .sidebar {
    display: block;
    padding: 0 20px;
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
    background-color: #f5f5f5;
    border-right: 1px solid #eee;
    height: auto !important;
  }

  .nav-sidebar {
    margin-right: -21px; /* 20px padding + 1px border */
    margin-bottom: 20px;
    margin-left: -20px;
  }
}

@media (max-width: 767px) {
  .breadcrumb {
    padding: 12px 24px 6px !important;
  }

  .sidebar {
    padding: 0 !important;
    margin-bottom: 10px;
  }
}

.nav-sidebar a:focus {
  outline: 0;
}

.nav-sidebar > li {
  display: block;
}

  .nav-sidebar > li > a.item {
    padding: 5px 15px 5px 25px;
    color: #428bca;
  }

.nav-sidebar > .active > a,
.nav-sidebar > .active > a:hover,
.nav-sidebar > .active > a:focus,
.nav-sidebar > .active > a.item {
  color: #fff;
  background-color: #428bca;
}

.nav-sidebar > li > a > span {
  float: right;
  padding-top: 2px;
}

.nav-sidebar > li > a.collapsed > span {
  transform: rotate(-90deg);
}

.nav-sidebar .submenu {
  list-style: none;
  margin: 0;
  padding: 0;
}

  .nav-sidebar .submenu li a {
    padding: 5px 15px 5px 35px;
    background: #fff;
    display: block;
    transition-delay: 0s;
    transition-duration: 0.2s;
    transition-property: all;
    transition-timing-function: linear;
    font-size: 12px;
  }

    .nav-sidebar .submenu li a:hover {
      padding-left: 30px;
      text-decoration: none;
    }

    .nav-sidebar .submenu li.active a {
      font-weight: bold;
      text-decoration: none;
    }

.breadcrumb {
  padding: 8px 6px 8px 12px;
  margin: 0 -20px 0 -5px;
  font-style: italic;
  font-size: 12px;
  background: none;
  border-radius: 0;
  border-bottom: 1px solid #ccc;
}

/* Content
-------------------------------------------------- */
#content {
  padding-bottom: 20px;
}

@media (max-width: 767px) {
  #content {
    padding-left: 25px;
  }
}

#content legend {
  padding: 10px 0;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  /* The html always takes the full height of the window, so the footer sits at the bottom of the window */
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
}

.autowidth {
  width: auto;
}

.table-condensed thead > tr > th,
.table-condensed tbody > tr > th,
.table-condensed thead > tr > td,
.table-condensed tbody > tr > td {
  padding: 3px 8px;
}

.form-horizontal .table-condensed tfoot > tr > td,
.form-horizontal .table-condensed tfoot > tr > th {
  padding: 0;
}

.form-horizontal .table-condensed tfoot .field-validation-error {
  padding: 3px 8px;
  display: block;
}

.table-clickable > tbody > tr:hover > td,
.table-clickable > tbody > tr:hover > th {
  cursor: pointer;
}

.non-clickable:hover {
  pointer-events: none;
}

.non-clickable *:hover {
  pointer-events: all;
}

/* Toastr styles
-------------------------------------------------- */

.toast-custom-top {
  top: 70px;
  right: 0;
  width: 100%;
}

.toast-custom-bottom {
  bottom: 70px;
  right: 0;
  width: 100%;
}

#toast-container.toast-custom-top > div,
#toast-container.toast-custom-bottom > div {
  width: 50%;
  min-width: 400px;
  margin: auto;
}

/* Chosen customization
-------------------------------------------------- */

.form-control + .chosen-container {
  max-width: 500px;
}

.has-success .form-control + .chosen-container .chosen-choices {
  border-color: #3c763d;
}
.has-success .form-control + .chosen-container.chosen-container-active .chosen-choices {
  border-color: #2b542c;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #67b168;
          box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #67b168;
}

.has-warning .form-control + .chosen-container .chosen-choices {
  border-color: #8a6d3b;
}
.has-warning .form-control + .chosen-container.chosen-container-active .chosen-choices {
  border-color: #66512c;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #c0a16b;
          box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #c0a16b;
}

.has-error .form-control + .chosen-container .chosen-choices {
  border-color: #a94442;
}
.has-error .form-control + .chosen-container.chosen-container-active .chosen-choices {
  border-color: #843534;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
          box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
}

/* Custom buttons/links
-------------------------------------------------- */
.btn-link-danger{
  color: #d9534f;
  cursor: pointer;
}

/*Bootbox dialog
-------------------------------------------------- */
.modal-body {
  word-wrap: break-word;
}

/* Tabs
-------------------------------------------------- */
.nav-tabs {
  margin-bottom: 20px;
}


/* File input
-------------------------------------------------- */
.btn-file {
  position: relative;
  overflow: hidden;
}

  .btn-file input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100%;
    min-height: 100%;
    font-size: 100px;
    text-align: right;
    filter: alpha(opacity=0);
    opacity: 0;
    outline: none;
    background: white;
    cursor: inherit;
    display: block;
  }